Bug 866226 - Review Request: kde-plasma-akonadi-contacts - Plasmoid for displaying contacts from Akonadi resources
Review Request: kde-plasma-akonadi-contacts - Plasmoid for displaying contact...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lukáš Tinkl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-14 14:04 EDT by Jan Grulich
Modified: 2015-07-13 13:35 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 11:26:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ltinkl: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jan Grulich 2012-10-14 14:04:50 EDT
Spec URL: http://phoenix.inf.upol.cz/~grulichj/rpmbuild/SPECS/kde-plasma-akonadi-contacts.spec
SRPM URL: http://phoenix.inf.upol.cz/~grulichj/rpmbuild/SRPMS/kde-plasma-akonadi-contacts-0.1.7-1.fc17.src.rpm
Description: This plasmoid shows contacts from selected calendars in Akonadi resources
Fedora Account System Username: jgrulich

Successful build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4589126
Comment 1 Jan Grulich 2012-10-16 09:52:54 EDT
New Package SCM Request
=======================
Package Name: kde-plasma-akonadi-contacts
Short Description: This plasmoid shows contacts from selected Akonadi resources
Owners: jgrulich
Branches: f16 f17 f18
InitialCC: jgrulich
Comment 2 Lukáš Tinkl 2012-10-16 09:53:51 EDT
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
[!]: Package installs a %{name}.desktop using desktop-file-install if there is
     such a file.
See: http://fedoraproject.org/wiki/Packaging/Guidelines#desktop


===== MUST items =====

C/C++:
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[ ]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[ ]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[ ]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[!]: Package installs a %{name}.desktop using desktop-file-install if there is
     such a file.
[ ]: Development files must be in a -devel package
[ ]: Package requires other packages for directories it uses.
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[ ]: Large documentation files are in a -doc subpackage, if required.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v3 or later)", "Unknown or generated". 2 files have unknown
     license. Detailed output of licensecheck in /home/ltinkl/tmp/kde-plasma-
     akonadi-contacts/866226-kde-plasma-akonadi-contacts/licensecheck.txt
[ ]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Package must own all directories that it creates.
[ ]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[ ]: Package is not relocatable.
[ ]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[ ]: Useful -debuginfo package or justification otherwise.

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[ ]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[ ]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[ ]: Package functions as described.
[x]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[!]: SourceX / PatchY prefixed with %{name}.
     Note: Source0 (149182-akonadi-contacts-0.1.7.tar.bz2)
[x]: SourceX is a working URL.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[?]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: kde-plasma-akonadi-contacts-0.1.7-1.fc17.x86_64.rpm
          kde-plasma-akonadi-contacts-0.1.7-1.fc17.src.rpm
          kde-plasma-akonadi-contacts-debuginfo-0.1.7-1.fc17.x86_64.rpm
kde-plasma-akonadi-contacts.x86_64: W: spelling-error Summary(en_US) plasmoid -> plasma
kde-plasma-akonadi-contacts.x86_64: W: spelling-error %description -l en_US plasmoid -> plasma
kde-plasma-akonadi-contacts.src: W: spelling-error Summary(en_US) plasmoid -> plasma
kde-plasma-akonadi-contacts.src: W: spelling-error %description -l en_US plasmoid -> plasma
3 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint kde-plasma-akonadi-contacts kde-plasma-akonadi-contacts-debuginfo
kde-plasma-akonadi-contacts.x86_64: W: spelling-error Summary(en_US) plasmoid -> plasma
kde-plasma-akonadi-contacts.x86_64: W: spelling-error %description -l en_US plasmoid -> plasma
2 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
kde-plasma-akonadi-contacts-0.1.7-1.fc17.x86_64.rpm (rpmlib, GLIBC filtered):
    
    libQtCore.so.4()(64bit)  
    libQtDBus.so.4()(64bit)  
    libQtGui.so.4()(64bit)  
    libQtNetwork.so.4()(64bit)  
    libQtSvg.so.4()(64bit)  
    libQtXml.so.4()(64bit)  
    libakonadi-contact.so.4()(64bit)  
    libakonadi-kde.so.4()(64bit)  
    libc.so.6()(64bit)  
    libgcc_s.so.1()(64bit)  
    libkabc.so.4()(64bit)  
    libkcalcore.so.4()(64bit)  
    libkdecore.so.5()(64bit)  
    libkdeui.so.5()(64bit)  
    libkio.so.5()(64bit)  
    libkmime.so.4()(64bit)  
    libkpimutils.so.4()(64bit)  
    libkresources.so.4()(64bit)  
    libm.so.6()(64bit)  
    libnepomuk.so.4()(64bit)  
    libphonon.so.4()(64bit)  
    libplasma.so.3()(64bit)  
    libpthread.so.0()(64bit)  
    libsoprano.so.4()(64bit)  
    libstdc++.so.6()(64bit)  
    libstdc++.so.6(CXXABI_1.3)(64bit)  
    rtld(GNU_HASH)  

kde-plasma-akonadi-contacts-debuginfo-0.1.7-1.fc17.x86_64.rpm (rpmlib, GLIBC filtered):
    



Provides
--------
kde-plasma-akonadi-contacts-0.1.7-1.fc17.x86_64.rpm:
    
    kde-plasma-akonadi-contacts = 0.1.7-1.fc17
    kde-plasma-akonadi-contacts(x86-64) = 0.1.7-1.fc17
    plasma4(applet-akonadi_contacts) = 0.1.7
    plasma_applet_akonadi_contacts.so()(64bit)  

kde-plasma-akonadi-contacts-debuginfo-0.1.7-1.fc17.x86_64.rpm:
    
    kde-plasma-akonadi-contacts-debuginfo = 0.1.7-1.fc17
    kde-plasma-akonadi-contacts-debuginfo(x86-64) = 0.1.7-1.fc17



Unversioned so-files
--------------------
kde-plasma-akonadi-contacts-0.1.7-1.fc17.x86_64.rpm: /usr/lib64/kde4/plasma_applet_akonadi_contacts.so

MD5-sum check
-------------
http://kde-look.org/CONTENT/content-files/149182-akonadi-contacts-0.1.7.tar.bz2 :
  CHECKSUM(SHA256) this package     : 9e6f92e8510220a99132235a7fffb308d61f7ebf30a9f7b8f18543977c73abb8
  CHECKSUM(SHA256) upstream package : 9e6f92e8510220a99132235a7fffb308d61f7ebf30a9f7b8f18543977c73abb8



License check:

GPL (v3 or later)
-----------------
/var/lib/mock/fedora-17-x86_64/root/builddir/build/BUILD/akonadi-contacts-0.1.7/src/contactslayout.h

Unknown or generated
--------------------
/var/lib/mock/fedora-17-x86_64/root/builddir/build/BUILD/akonadi-contacts-0.1.7/Messages.sh



Generated by fedora-review 0.3.0 (c78e275) last change: 2012-09-24
Buildroot used: fedora-17-x86_64
Command line :/usr/bin/fedora-review -b 866226
Comment 3 Lukáš Tinkl 2012-10-16 10:03:07 EDT
Fedora review passed from my POV, see comment #1 for the SCM request
Comment 4 Jan Grulich 2012-10-16 10:57:37 EDT
New Package SCM Request
=======================
Package Name: kde-plasma-akonadi-contacts
Short Description: This plasmoid shows contacts from selected Akonadi resources
Owners: jgrulich
Branches: f16 f17 f18
InitialCC: jgrulich
Comment 5 Gwyn Ciesla 2012-10-16 12:20:14 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2012-10-17 04:35:05 EDT
kde-plasma-akonadi-contacts-0.1.7-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/kde-plasma-akonadi-contacts-0.1.7-1.fc18
Comment 7 Fedora Update System 2012-10-17 04:35:58 EDT
kde-plasma-akonadi-contacts-0.1.7-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/kde-plasma-akonadi-contacts-0.1.7-1.fc17
Comment 8 Fedora Update System 2012-10-17 04:38:14 EDT
kde-plasma-akonadi-contacts-0.1.7-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/kde-plasma-akonadi-contacts-0.1.7-1.fc16
Comment 9 Fedora Update System 2012-10-17 13:34:37 EDT
kde-plasma-akonadi-contacts-0.1.7-1.fc18 has been pushed to the Fedora 18 testing repository.
Comment 10 Fedora Update System 2012-12-20 11:26:26 EST
kde-plasma-akonadi-contacts-0.1.7-2.fc16 has been pushed to the Fedora 16 stable repository.

Note You need to log in before you can comment on or make changes to this bug.